singleton Material("miramar.skin.shiro")
{
    mapTo = "miramar.skin.shiro";
    overlayMap[2] = "vehicles/miramar/shiro_skin/miramar_skin_shiro.dds";
    diffuseMap[2] = "vehicles/miramar/miramar_c.dds";
    specularMap[2] = "vehicles/miramar/miramar_s.dds";
    normalMap[2] = "vehicles/miramar/miramar_n.dds";
    diffuseMap[1] = "vehicles/miramar/miramar_d.dds";
    specularMap[1] = "vehicles/miramar/miramar_s.dds";
    normalMap[1] = "vehicles/miramar/miramar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/miramar/miramar_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("miramar_raceparts.skin.shiro")
{
    mapTo = "miramar_raceparts.skin.shiro";
    overlayMap[2] = "vehicles/miramar/shiro_skin/miramar_skin_shiro.dds";
    diffuseMap[2] = "vehicles/miramar/miramar_raceparts_c.dds";
    specularMap[2] = "vehicles/miramar/miramar_raceparts_s.dds";
    normalMap[2] = "vehicles/miramar/miramar_raceparts_n.dds";
    diffuseMap[1] = "vehicles/miramar/miramar_raceparts_d.dds";
    specularMap[1] = "vehicles/miramar/miramar_raceparts_s.dds";
    normalMap[1] = "vehicles/miramar/miramar_raceparts_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/miramar/miramar_raceparts_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    specularColor[0] = "1 1 1 1";
    specularColor[1] = "1 1 1 1";
    specularColor[2] = "1 1 1 1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("miramar_glass.skin.shiro")
{
    mapTo = "miramar_glass.skin.shiro";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/miramar/shiro_skin/miramar_glass_shiro_d.dds";
    opacityMap[0] = "vehicles/miramar/shiro_skin/miramar_glass_shiro_d.dds";
    diffuseMap[1] = "vehicles/miramar/shiro_skin/miramar_glass_shiro_da.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("miramar_glass_int.skin.shiro")
{
    mapTo = "miramar_glass_int.skin.shiro";
    diffuseMap[0] = "vehicles/miramar/shiro_skin/miramar_glass_shiro_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    doubleSided = "0";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("miramar_windshield_dmg.skin.shiro")
{
    mapTo = "miramar_windshield_dmg.skin.shiro";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/miramar/shiro_skin/miramar_glass_shiro_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/windshield_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material("miramar_widebody.skin.shiro")
{
    mapTo = "miramar_widebody.skin.shiro";
    overlayMap[2] = "vehicles/miramar/shiro_skin/miramar_skin_shiro.dds";
    diffuseMap[2] = "vehicles/miramar/miramar_widebody_c.dds";
    specularMap[2] = "vehicles/miramar/miramar_widebody_s.dds";
    normalMap[2] = "vehicles/miramar/miramar_widebody_n.dds";
    diffuseMap[1] = "vehicles/miramar/miramar_widebody_d.dds";
    specularMap[1] = "vehicles/miramar/miramar_widebody_s.dds";
    normalMap[1] = "vehicles/miramar/miramar_widebody_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/miramar/miramar_widebody_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};













